package com.ekexiu.portal.service;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.annotation.DefaultValue;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.operate.Post;
import org.jfw.apt.web.annotation.param.JdbcConn;
import org.jfw.util.StringUtil;

import com.ekexiu.portal.dao.LeaveWordDao;
import com.ekexiu.portal.po.LeaveWord;

@Path("/leaveWord")
public class LeaveWordService {
	public static final String MAX_CREATETIME="9";

	@Autowrie
	private LeaveWordDao leaveWordDao;

	public LeaveWordDao getLeaveWordDao() {
		return leaveWordDao;
	}

	public void setLeaveWordDao(LeaveWordDao leaveWordDao) {
		this.leaveWordDao = leaveWordDao;
	}
	
	@Post
	@Path
	public String insert(@JdbcConn(true) Connection con,LeaveWord word) throws SQLException{
		String id = StringUtil.buildUUID();
		word.setId(id);
		word.setOrderKey(System.currentTimeMillis());
		this.leaveWordDao.insert(con, word);
		return id;
	}
	
	@Get
	@Path("/ql")
	public List<LeaveWord> query(@JdbcConn Connection con,String articleId,@DefaultValue("com.ekexiu.portal.service.LeaveWordService.MAX_CREATETIME")  String createTime,@DefaultValue("0") long orderKey,@DefaultValue("10") int rows) throws SQLException{
		return this.leaveWordDao.query(con, articleId, createTime, orderKey, rows);
	}
}
